Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Interaction.Exceptions

Description

This module defines the exception handler.

Synopsis

- handleParseException :: (ParseError -> IO a) -> ParseError -> IO a
- failOnException :: (Range -> String -> IO a) -> IO a -> IO a

# Documentation

handleParseException :: (ParseError -> IO a) -> ParseError -> IO a

failOnException :: (Range -> String -> IO a) -> IO a -> IO a

Note that `failOnException` only catches `ParseError`s.